3cx Windowa Installer packege**VBscript error on machine

Discussion in '3CX Phone System - General' started by LesleyGroen, Mar 25, 2011.

Thread Status:
Not open for further replies.
  1. LesleyGroen

    Joined:
    Mar 25, 2011
    Messages:
    1
    Likes Received:
    0
    hey i want to download the beta virsion of 3cx v10 beta but i get a error it see they have a problem whit Windowa Installer packege it missing a script to run to conpleet the instal pleaze help me i don't what to do :cry:
     

    Attached Files:

  2. nb

    nb Support Team
    Staff Member 3CX Support

    Joined:
    Jun 7, 2007
    Messages:
    2,111
    Likes Received:
    143
    Re: 3cx Windowa Installer packege

    What is the os?
    Do you have full updates installed?

    Is this the first screen you see? After which screen does it come up?

    Contact me nb@3cx.com and we will discuss
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. nb

    nb Support Team
    Staff Member 3CX Support

    Joined:
    Jun 7, 2007
    Messages:
    2,111
    Likes Received:
    143
    Any news on this?

    it is important that the machine that you install V10 on must have full updates. otherwise you may receive errors like this.

    This error is caused by many things - Either VB is not correctly registered on the system, or some other application you installed on this machine modified something. Solution: as a first step uninstall 3CX, give the machine full updates and restart it as many times as necessary. After this install 3CX.

    IMP - 3CX Must be installed on a machine which has already been given full updates. Do not leave 3CX there, and then perform updates. this is not recommended.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  4. igor.snezhko

    igor.snezhko Active Member

    Joined:
    Jan 7, 2008
    Messages:
    666
    Likes Received:
    5
    I also have this error on clean Windows XP SP3 PRO without updates.
    Not every sysadmin installing all updates for various reasons, so you have to check this issue.

    P.S. After installing updates getting the same error... Very strange.

    That very strange... bsolutely unable to install on Windows XP SP3. This screen appears at very end of installation.

    Product: 3CX PhoneSystem -- Error 1720. There is a problem with this Windows Installer package. A script required for this install to complete could not be run. Contact your support personnel or package vendor. Custom action InstallPostgresService script error -2147010895, : Line 15, Column 5,
     
  5. igor.snezhko

    igor.snezhko Active Member

    Joined:
    Jan 7, 2008
    Messages:
    666
    Likes Received:
    5
    Finally solved. I installed .NET 3.5 SP1 (in addition to .NET 4), and only after this I was able to install 3CX.
     
  6. nb

    nb Support Team
    Staff Member 3CX Support

    Joined:
    Jun 7, 2007
    Messages:
    2,111
    Likes Received:
    143
    What is the version of windows installer that you have on the machine?

    Download the latest and try again
    http://www.microsoft.com/downloads/en/details.aspx?FamilyID=5a58b56f-60b6-4412-95b9-54d056d6f9f4&displaylang=en

    Before can you check what version of Windows installer you have on your machine is? I need to know the reason why it is failing on your computer.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  7. igor.snezhko

    igor.snezhko Active Member

    Joined:
    Jan 7, 2008
    Messages:
    666
    Likes Received:
    5
    1. I had clean Windows XP Sp3 PRO installation with .NET 4 0 - no success
    2. Then I updated Windows from the Internet with all updates - no sucess
    3. Then I downloaded and installed latest Windows Installer for Windows XP (v.3.1)- no sucess
    4. Then I installed .NET 3.5 SP1 - it works!
     
  8. nb

    nb Support Team
    Staff Member 3CX Support

    Joined:
    Jun 7, 2007
    Messages:
    2,111
    Likes Received:
    143
    Comments inline

    1. I had clean Windows XP Sp3 PRO installation with .NET 4 0 - no success

    It should have had net framework 3.5 too. this comes with one of the service packs. What was the error in this case? Without updates this is an invalid test.

    2. Then I updated Windows from the Internet with all updates - no sucess

    First install OS, then you update and keep on updating and then you should install the frameworks in order. How can framework 4 work properly when it was released end 2010 and you are installing on a OS that is nearly 10 years old?
    These must be made and installed in the order that Microsoft launched them.

    3. Then I downloaded and installed latest Windows Installer for Windows XP (v.3.1)- no sucess
    The latest windows installer for XP is not 3.1. I sent you the link. It is available here
    http://www.microsoft.com/downloads/en/details.aspx?FamilyID=5a58b56f-60b6-4412-95b9-54d056d6f9f4&displaylang=en
    And it tells you
    WindowsXP-KB942288-v3-x86.exe3.2MB - this is the latest. 4.5
    From our end we will make a check in the installer to not allow users to install on computers that do not have the latest windows installer package installed.

    4. Then I installed .NET 3.5 SP1 - it works!

    So you can see where the original problem lied. Missing or improper updates to the machine. Now install Framework 4.
    If you install the OS in order example - Install OS, Give full updates 1 service pack at a time, the way they were launched, then you install the frameworks and you will see that things will work. Now install framework 4 and things should remain working.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  9. igor.snezhko

    igor.snezhko Active Member

    Joined:
    Jan 7, 2008
    Messages:
    666
    Likes Received:
    5
    1. .NET 3.5 not included in Windows Service Pack. I each time receive the same error.

    2. No, .NET is separate package and user have to install it manually. It not included it Windows Update routine.

    3. Yes, I installed Windows Installer form here. But please note, that for Windows XP there is V.3 only WindowsXP-KB942288-v3-x86.exe and 4.5 for Windows 7

    4. As I stated, .NET not installed with any Service Pack. User should install it manually.
     
  10. nb

    nb Support Team
    Staff Member 3CX Support

    Joined:
    Jun 7, 2007
    Messages:
    2,111
    Likes Received:
    143
    Ok then - thanks for the info - now we know the work we need to do when someone installs 3CX Phone system on XP.

    You need to give full updates
    You need to install framework 3.5
    You need to give full updates again
    You need to install windows installer
    You need to install framework 4 and give full updates again.

    thanks and regards
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  11. igor.snezhko

    igor.snezhko Active Member

    Joined:
    Jan 7, 2008
    Messages:
    666
    Likes Received:
    5
    Yes, but at point of view of regular customer this is very cumbersome. We ill have a lot of frustration.
    Installer have check for ALL missing components (not only .NET 4) and notify customer.
     
  12. nb

    nb Support Team
    Staff Member 3CX Support

    Joined:
    Jun 7, 2007
    Messages:
    2,111
    Likes Received:
    143
    What is the os you are installing on? Language
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  13. nb

    nb Support Team
    Staff Member 3CX Support

    Joined:
    Jun 7, 2007
    Messages:
    2,111
    Likes Received:
    143
    Actually SP3 for XP installs .net framework 3.5 service pack 1. See the attached. We have confirmed that this is the case.
    And also windows installer updates are taken into consideration at windows service pack level too. I dont see why it is contrary in your case.
     

    Attached Files:

    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  14. LeonidasG

    LeonidasG Support Team
    Staff Member 3CX Support

    Joined:
    Nov 19, 2008
    Messages:
    1,455
    Likes Received:
    92
    Usually .net dependant applications on XP need the following packages.

    Install Service Pack 3 for XP
    Install Installer 3.1 (Some XP installations don't need it, but doesn't hurt to install anyway)
    Install Installer 4.5
    Install Windows Imaging Component (Some XP installations don't need it, but doesn't hurt to install anyway)
    Install .net 4.0
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Thread Status:
Not open for further replies.